clear all
close all
clc

%opa129u
dat=load('../Messdaten/opa129u_rauschneu2.txt');
plot(1:length(dat),dat(:,2)*10^3)
std(dat(:,2))
rms=sqrt(sum((dat(:,2)-mean(dat(:,2))).^2)/length(dat))
n=0
for i=1:600:length(dat(:,2))
    n=n+1;
    if i+1200>=length(dat(:,2)) break
    end
drift(n)=mean(dat(i+600:i+1200,2))-mean(dat(i:i+600,2));
end
figure
plot([1:length(drift)],10^6*abs(drift),'-o');
set(gca,'FontSize',14)
title('Drift des OPA129U mit 1GOhm Rückkoppelwiderstand')
xlabel('Zeit in Minuten');
ylabel('Drift in µV/min')
print('-djpeg100','../Bilder/driftopa129U.jpg');

%femto
display('---------------------------------');
clear a;
dat2=load('../Messdaten/femto_rauschneu.csv');
figure
plot(1:length(dat2),(dat2(:,2)-mean(dat2(:,2)))*10^3,'k',1:length(dat(:,2)),10^3*(dat(:,2)-mean(dat(:,2))),'r')
std(dat2(:,2))
rms=sqrt(sum((dat2(:,2)-mean(dat2(:,2))).^2)/length(dat2))
n=0
for i=1:600:length(dat2(:,2))
    n=n+1;
    if i+1200>=length(dat2(:,2)) break
    end
drift(n)=mean(dat2(i+600:i+1200,2))-mean(dat2(i:i+600,2));
end
figure
plot([1:length(drift)],10^6*abs(drift),'-o');
set(gca,'FontSize',14)
title('Drift des Femt- DLCPA 200 bei eienr Verstärkung von 10^9 V/A')
xlabel('Zeit in Minuten');
ylabel('Drift in µV/min')
print('-djpeg100','../Bilder/driftfemto.jpg');

%drift